package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 合一设备
 * </p>
 *
 * @author mk
 * @since 2023-11-01
 */
@TableName("heyi_dev")
@ApiModel(value="HeyiDev对象", description="合一设备")
public class HeyiDev extends Model<HeyiDev> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "区域通信id")
    @TableField("net_id")
    private String netId;

    @ApiModelProperty(value = "名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "项目id")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "power")
    @TableField("power")
    private Long power;

    @ApiModelProperty(value = "属性集合")
    @TableField("ronly_ppe")
    private String ronlyPpe;

    @ApiModelProperty(value = "控制状态")
    @TableField("enable")
    private Integer enable;

    @ApiModelProperty(value = "设备号")
    @TableField("dev_id")
    private String devId;

    @ApiModelProperty(value = "设备项目内id")
    @TableField("dev_net_id")
    private String devNetId;

    @ApiModelProperty(value = "设备类型")
    @TableField("type_code")
    private String typeCode;

    @ApiModelProperty(value = "模块")
    @TableField("module")
    private String module;

    @ApiModelProperty(value = "绑定Id")
    @TableField("bind_id")
    private String bindId;

    @ApiModelProperty(value = "传感器参数")
    @TableField("sensor_ppe")
    private String sensorPpe;

    @ApiModelProperty(value = "传感器Id")
    @TableField("sensor_id")
    private String sensorId;

    @ApiModelProperty(value = "组名称/区域")
    @TableField("group_name")
    private String groupName;

    @ApiModelProperty(value = "组id")
    @TableField("group_id")
    private Long groupId;

    @ApiModelProperty(value = "场景ID")
    @TableField("scenes_id")
    private Long scenesId;

    @ApiModelProperty(value = "场景级别1:1级;2:2级.....")
    @TableField("scenes_level")
    private Integer scenesLevel;

    @ApiModelProperty(value = "设备号")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "控制指令集合")
    @TableField("con_ppe")
    private String conPpe;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getNetId() {
        return netId;
    }

    public void setNetId(String netId) {
        this.netId = netId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public Long getPower() {
        return power;
    }

    public void setPower(Long power) {
        this.power = power;
    }

    public String getRonlyPpe() {
        return ronlyPpe;
    }

    public void setRonlyPpe(String ronlyPpe) {
        this.ronlyPpe = ronlyPpe;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getDevId() {
        return devId;
    }

    public void setDevId(String devId) {
        this.devId = devId;
    }

    public String getDevNetId() {
        return devNetId;
    }

    public void setDevNetId(String devNetId) {
        this.devNetId = devNetId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getBindId() {
        return bindId;
    }

    public void setBindId(String bindId) {
        this.bindId = bindId;
    }

    public String getSensorPpe() {
        return sensorPpe;
    }

    public void setSensorPpe(String sensorPpe) {
        this.sensorPpe = sensorPpe;
    }

    public String getSensorId() {
        return sensorId;
    }

    public void setSensorId(String sensorId) {
        this.sensorId = sensorId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getScenesId() {
        return scenesId;
    }

    public void setScenesId(Long scenesId) {
        this.scenesId = scenesId;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public String getConPpe() {
        return conPpe;
    }

    public void setConPpe(String conPpe) {
        this.conPpe = conPpe;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "HeyiDev{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", netId=" + netId +
        ", name=" + name +
        ", orgId=" + orgId +
        ", power=" + power +
        ", ronlyPpe=" + ronlyPpe +
        ", enable=" + enable +
        ", devId=" + devId +
        ", devNetId=" + devNetId +
        ", typeCode=" + typeCode +
        ", module=" + module +
        ", bindId=" + bindId +
        ", sensorPpe=" + sensorPpe +
        ", sensorId=" + sensorId +
        ", groupName=" + groupName +
        ", groupId=" + groupId +
        ", scenesId=" + scenesId +
        ", scenesLevel=" + scenesLevel +
        ", snCode=" + snCode +
        ", conPpe=" + conPpe +
        ", agentId=" + agentId +
        ", agentName=" + agentName +
        ", propertyId=" + propertyId +
        ", propertyName=" + propertyName +
        ", districtId=" + districtId +
        ", districtName=" + districtName +
        "}";
    }
}
